DevExtreme jQuery/JS - Customize the Title

By default, the Popup allocates a part of its area to the title, regardless of whether you specified the title text or did not. To hide the title, set the showTitle option to false. Besides the text, the title area also contains a button that closes the Popup. To hide this button alone, assign false to the showCloseButton option.

JavaScript
  • $(function() {
  • $("#popupContainer").dxPopup({
  • showTitle: false,
  • visible: true
  • });
  • });

If you need to define the title completely, specify a template for it. To do this, you can use the DevExtreme dxTemplate markup component...

HTML
JavaScript
  • <div id="popupContainer">
  • <p>Popup content</p>
  • <div data-options="dxTemplate: { name: 'title' }">
  • <p>Title template</p>
  • </div>
  • </div>
  • $(function() {
  • $("#popupContainer").dxPopup({
  • titleTemplate: "title"
  • });
  • });

... or you can combine the HTML markup for the template directly in the titleTemplate function. Note that this function will be called only once - when the Popup appears for the first time.

HTML
JavaScript
  • <div id="popupContainer">
  • <p>Popup content</p>
  • </div>
  • $(function() {
  • $("#popupContainer").dxPopup({
  • titleTemplate: function () {
  • return $("<p />").text("Title content");
  • }
  • });
  • });

Just as you switch content templates on-the-fly, so can you do the same with title templates.

HTML
JavaScript
  • <div id="buttonContainer"></div>
  • <div id="popupContainer">
  • <p>Popup content</p>
  • <div data-options="dxTemplate: { name: 'titleTemplate1' }">
  • <p>First title template</p>
  • </div>
  • <div data-options="dxTemplate: { name: 'titleTemplate2' }">
  • <p>Second title template</p>
  • </div>
  • </div>
  • $(function() {
  • var popup = $("#popupContainer").dxPopup({
  • titleTemplate: 'titleTemplate1'
  • }).dxPopup("instance");
  •  
  • $("#buttonContainer").dxButton({
  • text: "Change the Template",
  • onClick: function (e) {
  • if (popup.option("titleTemplate") == "titleTemplate1") {
  • popup.option("titleTemplate", "titleTemplate2");
  • } else {
  • popup.option("titleTemplate", "titleTemplate1");
  • }
  • popup.show();
  • }
  • });
  • });
See Also

DevExtreme React - Customize the Title

By default, the Popup allocates a part of its area to the title, regardless of whether you specified the title text or did not. To hide the title, set the showTitle option to false. Besides the text, the title area also contains a button that closes the Popup. To hide this button alone, assign false to the showCloseButton option.

jQuery
JavaScript
$(function() {
    $("#popupContainer").dxPopup({
        showTitle: false,
        visible: true
    });
});
Angular
HTML
TypeScript
<dx-popup
    [showTitle]="false"
    [(visible)]="isPopupVisible">
</dx-popup>
import { DxPopupModule } from "devextreme-angular";
// ...
export class AppComponent {
    isPopupVisible: boolean = true;
}
@NgModule({
    imports: [
        // ...
        DxPopupModule
    ],
    // ...
})
Vue
Code
<template>
    <DxPopup
        :visible.sync="isPopupVisible"
        :show-title="false"
    />
</template>

<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { DxPopup } from 'devextreme-vue/popup';

export default {
    components: {
        DxPopup
    },
    data() {
        return {
            isPopupVisible: true
        };
    }
}
</script>
React
Code
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { Popup } from 'devextreme-react/popup';

class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            isPopupVisible: true
        };

        this.onHiding = this.onHiding.bind(this);
    }

    onHiding() {
        this.setState({
            isPopupVisible: false
        });
    }

    render() {
        return (
            <Popup
                visible={this.state.isPopupVisible}
                showTitle={false}
                onHiding={this.onHiding}
            />
        );
    }
}

export default App;

If you need to define the title completely, specify a template for it as shown in the following code:

jQuery
HTML
JavaScript
<div id="popupContainer">
    <p>Popup content</p>
    <div data-options="dxTemplate: { name: 'title' }">
        <p>Title template</p>
    </div>
</div>
$(function() {
    $("#popupContainer").dxPopup({
        titleTemplate: "title"
    });
});
Angular
HTML
TypeScript
<dx-popup
    [(visible)]="isPopupVisible"
    titleTemplate="title">
    <div *dxTemplate="let data of 'content'">
        <p>Popup content</p>
    </div>
    <div *dxTemplate="let data of 'title'">
        <p>Title template</p>
    </div>
</dx-popup>
import { DxPopupModule } from "devextreme-angular";
// ...
export class AppComponent {
    isPopupVisible: boolean = true;
}
@NgModule({
    imports: [
        // ...
        DxPopupModule
    ],
    // ...
})
Vue
Code
<template>
    <DxPopup
        :visible.sync="isPopupVisible"
        titleTemplate="title">
        <template>
            <p>Popup content</p>
        </template>
        <template #title>
            <p>Title template</p>
        </template>
    </DxPopup>
</template>

<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { DxPopup } from 'devextreme-vue/popup';

export default {
    components: {
        DxPopup
    },
    data() {
        return {
            isPopupVisible: true
        };
    }
}
</script>
React
Code
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { Popup } from 'devextreme-react/popup';

const renderContent = () => {
    return (
        <p>Popup content</p>
    );
}

const renderTitle = () => {
    return (
        <p>Title template</p>
    );
}

class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            isPopupVisible: true
        };

        this.onHiding = this.onHiding.bind(this);
    }

    onHiding() {
        this.setState({
            isPopupVisible: false
        });
    }

    render() {
        return (
            <Popup
                visible={this.state.isPopupVisible}
                contentRender={renderContent}
                titleRender={renderTitle}
                onHiding={this.onHiding}
            />
        );
    }
}

export default App;

You can switch title templates on the fly just as you can do with content templates. Refer to the Switching Templates On the Fly topic for more information.

See Also